png++ 0.2.10

Static Public Member Functions | List of all members
png::row_traits< packed_pixel_row< pixel > > Class Template Reference

The row_traits class template specialization for packed pixel row type. More...

`#include <pixel_buffer.hpp>`

## Static Public Member Functions
static byte * | get_data (packed_pixel_row< pixel > &row)
| Returns the starting address of the row.

## Detailed Description

template<typename pixel>
class png::row_traits< packed_pixel_row< pixel > >

The row_traits class template specialization for packed pixel row type.

## Member Function Documentation

## ◆ get_data()

template<typename pixel>

byte * png::row_traits< packed_pixel_row< pixel > >::get_data | ( | packed_pixel_row< pixel > & | row | ) |
| inline static

Returns the starting address of the row.

References png::packed_pixel_row< pixel >::get_data().

The documentation for this class was generated from the following file:

- pixel_buffer.hpp